jQuery(document).ready(function() {
	jQuery(function() {
		jQuery('.equal-height').matchHeight();
	});
	mobileNavigation();
	jQuery('.mobile-navigation-btn').click(function() {
		jQuery('.navigation-menu').toggleClass('mobile-nav-btn-active');
		jQuery(this).toggleClass('mobile-navigation-open');
	});
	showSubMenu();
	
	jQuery(".fancybox").fancybox();
});

// Mobile Navigation	
function mobileNavigation() {
	jQuery('body').on('click', '#mobile-nav-btn', function() {
		jQuery('html,body').toggleClass('noscroll');
		jQuery('#mobile-nav, #mobile-overlay, #mobile-nav-btn img').toggle();
		mobileNavigationResize();
	});
	jQuery(window).resize(mobileNavigationResize);
}

function mobileNavigationResize() {
	if(jQuery('#mobile-nav').is(":visible")) {
		var mobile_nav_height = jQuery(window).height()-jQuery('#mobile-header').outerHeight();
		jQuery('#mobile-nav').css('height',mobile_nav_height+'px');
	}
}

function showSubMenu() {
	jQuery('.navigation-menu li').hoverIntent(function() {
		if(jQuery(window).width() > 660 ) {
			jQuery(this).children('a').addClass('active-hover-btn');
			jQuery(this).children('ul').show('fast');
			jQuery(this).children('ul').addClass('open');
			}
		}, function() {
			if(jQuery(window).width() > 660 ) {
				jQuery(this).children('ul').hide('fast');
				jQuery(this).children('a').removeClass('active-hover-btn');
				jQuery(this).children('ul').removeClass('open');
			}
	});

}
jQuery(document).ready(function() {
	jQuery("#menu-header-menu .menu-item-has-children .sub-menu").before('<span class="arrow-icon"></span>'); 
	  jQuery(".arrow-icon").click(function(){
		jQuery(this).next().toggleClass("drop-open");
		jQuery(this).toggleClass("menu-open");
	});
});